import greenfoot.*;
/**
 * This class defines a buritto. Burittos live on the beach.
 */
public class Buritto extends Actor
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    public Buritto()
    {
        image1 = new GreenfootImage("buritto.png");
        image2 = new GreenfootImage("buritto2.png");
    }
   
    public void act()
    {
        keyPressed();
        move(5);
        lookForTomato();
        lookForCheese();
  
    }

    /**
     * Check whether we have stumbled upon a worm.
     * If we have, eat it. If not, do nothing.
     */
    public void lookForTomato()
    {
        if ( isTouching(Tomato.class) )
        {
            removeTouching(Tomato.class);
            Greenfoot.playSound("gravy.wav");
        }
    }
    
    public void lookForCheese()
    {
        if ( isTouching(Cheese.class) )
        {
            removeTouching(Cheese.class);
            Greenfoot.playSound("gravy.wav");
        }
    }
    
    public void keyPressed()
    { 
        if (Greenfoot.isKeyDown("left"))
        {
            turn(-4);
        }
        
         if (Greenfoot.isKeyDown("right"))
        {
            turn(4);
        }
    }
    
    public void changeImage()
    {
         if ( getImage() == image1 )
        {
            setImage(image2);
        }
        else
        {
            setImage(image1);
        }
    }
    
}